Physical Address

304 North Cardinal St.
Dorchester Center, MA 02124

Number of Arithmetic Triplets LeetCode Solution

Problem – Number of Arithmetic Triplets LeetCode Solution

You are given a 0-indexedstrictly increasing integer array nums and a positive integer diff. A triplet (i, j, k) is an arithmetic triplet if the following conditions are met:

  • i < j < k,
  • nums[j] - nums[i] == diff, and
  • nums[k] - nums[j] == diff.

Return the number of unique arithmetic triplets.

Example 1:

Input: nums = [0,1,4,6,7,10], diff = 3
Output: 2
Explanation:
(1, 2, 4) is an arithmetic triplet because both 7 - 4 == 3 and 4 - 1 == 3.
(2, 4, 5) is an arithmetic triplet because both 10 - 7 == 3 and 7 - 4 == 3.

Example 2:

Input: nums = [4,5,6,7,8,9], diff = 2
Output: 2
Explanation:
(0, 2, 4) is an arithmetic triplet because both 8 - 6 == 2 and 6 - 4 == 2.
(1, 3, 5) is an arithmetic triplet because both 9 - 7 == 2 and 7 - 5 == 2.

Constraints:

  • 3 <= nums.length <= 200
  • 0 <= nums[i] <= 200
  • 1 <= diff <= 50
  • nums is strictly increasing.

Number of Arithmetic Triplets LeetCode Solution in C++

int arithmeticTriplets(vector<int>& nums, int diff) {
    int dp[201]{};
    int res=0;
    for(auto i:nums){ 
		dp[i]= i>=diff? dp[i-diff]+1 : 1;
        if(dp[i]>=3) res++; 
    }
    return res;
}

Number of Arithmetic Triplets LeetCode Solution in Java

    public int arithmeticTriplets(int[] nums, int diff) {
        int cnt = 0;
        Set<Integer> seen = new HashSet<>();
        for (int num : nums) {
            if (seen.contains(num - diff) && seen.contains(num - diff * 2)) {
                ++cnt;
            }
            seen.add(num);
        }
        return cnt;
    }

Number of Arithmetic Triplets LeetCode Solution in Python

class Solution:
    def arithmeticTriplets(self, nums: List[int], diff: int) -> int:
        res = 0
        for i in range(len(nums)):
            for j in range(i+1, len(nums)):
                if nums[j] - nums[i] == diff:
                    for k in range(j+1, len(nums)):
                        if nums[k] - nums[j] == diff:
                            res += 1
        return res
Number of Arithmetic Triplets LeetCode Solution Review:

In our experience, we suggest you solve this Number of Arithmetic Triplets LeetCode Solution and gain some new skills from Professionals completely free and we assure you will be worth it.

If you are stuck anywhere between any coding problem, just visit Queslers to get the Number of Arithmetic Triplets LeetCode Solution

Find on LeetCode

Conclusion:

I hope this Number of Arithmetic Triplets LeetCode Solution would be useful for you to learn something new from this problem. If it helped you then don’t forget to bookmark our site for more Coding Solutions.

This Problem is intended for audiences of all experiences who are interested in learning about Data Science in a business context; there are no prerequisites.

Keep Learning!

More Coding Solutions >>

LeetCode Solutions

Hacker Rank Solutions

CodeChef Solutions

Leave a Reply

Your email address will not be published. Required fields are marked *